<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FF444444"
    tools:context=".activity.PicturesActivity">
    <FrameLayout
        android:id="@+id/layer_change"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <com.otaliastudios.cameraview.CameraView
            android:id="@+id/camera"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:keepScreenOn="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.tencent.tencentmap.mapsdk.maps.TextureMapView
            android:id="@+id/iv_map"
            android:layout_width="100dp"
            android:layout_height="157dp"
            app:layout_constraintHeight_default="percent"
            app:layout_constraintHeight_percent="0.3"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_default="percent"
            app:layout_constraintWidth_percent="0.3" />
    </FrameLayout>


    <Button
        android:id="@+id/btn_switch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginRight="20dp"
        android:text="切换"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />



    <CheckBox
        android:id="@+id/capuretVideo"
        style="@style/user_data_style"
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:background="@drawable/user_style"
        android:button="@null"
        android:gravity="center"
        android:padding="@dimen/fab_margin"
        android:text="开始采集"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/btn_stop_video" />

    <Button
        android:id="@+id/btn_stop_video"
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:background="@drawable/uploding_shape"
        android:text="结束采集"
        android:textColor="@color/colorBlue"
        app:layout_constraintBottom_toBottomOf="@id/capuretVideo"
        app:layout_constraintLeft_toRightOf="@id/capuretVideo"
        app:layout_constraintRight_toRightOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>